Bug 128672 - gfs_mkfs -P: should be removed
gfs_mkfs -P: should be removed
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ken Preslan
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-27 16:04 EDT by Derek Anderson
Modified: 2010-01-11 21:55 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-10 12:39:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Derek Anderson 2004-07-27 16:04:02 EDT
Description of problem:
It is my understanding that this code line will no longer work with
pool.  If this is correct the -P option should be removed from the
gfs_mkfs command.  It does the "fixme!" dance.

[root@link-11 data1]# gfs_mkfs -t MILTON:data2 -j 3 -p lock_dlm -P
/dev/sda2
gfs_mkfs: fixme!

[root@link-11 data1]# gfs_mkfs -h
Usage:

gfs_mkfs [options] <device>

Options:

  -b <bytes>       Filesystem block size
  -D               Enable debugging code
  -h               Print this help, then exit
  -J <MB>          Size of journals
  -j <num>         Number of journals
  -O               Don't ask for confirmation
  -P               Try to get FS layout from Pool
  -p <name>        Name of the locking protocol
  -q               Don't print anything
  -r <MB>          Resource Group Size
  -s <blocks>      Journal segment size
  -t <name>        Name of the lock table
  -V               Print program version information, then exit



Version-Release number of selected component (if applicable):
[root@link-11 data1]# gfs_mkfs -V
gfs_mkfs DEVEL.1090955928 (built Jul 27 2004 14:20:04)
Copyright (C) Red Hat, Inc.  2004  All rights reserved.

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Adam "mantis" Manthei 2004-07-27 16:34:17 EDT
does the same thing occur when you use a pool device as the -P option
indicates?  
Comment 2 Ken Preslan 2005-01-04 20:54:41 EST
Get rid of -P option.  It should be replace with CLVM labeling later.
Comment 3 Derek Anderson 2005-01-10 12:39:22 EST
Verified.  She's gone.

# gfs_mkfs -V
gfs_mkfs 6.1-pre8

Note You need to log in before you can comment on or make changes to this bug.